<app-loading *ngIf="isLoading"></app-loading>

<p class="header">{{ header1 }}</p>
<form nzForm [formGroup]="form">
  <mb-input-text
    [mbIsTextAre]="true"
    [mbConfig]="{ rows: 4, autoSize: true }"
    formControlName="idea"
    [mbMaxLength]="200"
    [mbLabelText]="headerText"
    [mbPlaceholderText]="placeholder"
    [mbType]="isSubmitted && form.get('idea')?.errors ? 'error' : 'default'"
    [mbShowError]="isSubmitted && !!form.get('idea')?.errors"
    [mbErrors]="form.get('idea')?.errors"
    [mbErrorDefs]="[
      {
        errorName: 'required',
        errorDescription:
          'development.commonMessage.validateIdea' | translate
      }
    ]"
  ></mb-input-text>
</form>

<div class="footer">
  <mb-button
    [mbIsDisable]="isLoading"
    mbButtonAvailableStyle="PRIMARY"
    mbButtonText="{{ 'development.proposed-unit.button.continue' | translate }}"
    (click)="submit()"
  ></mb-button>
  <mb-button
    mbButtonAvailableStyle="BtnCancelHasBorder"
    mbButtonText="{{ 'development.proposed-unit.button.cancel2' | translate }}"
    (click)="closeModal()"
  >
  </mb-button>
</div>
